#include <iostream>
#include <string>
#include <vector>
#include <string.h>


using namespace std;

int maxfunc(int a, int b){
    if(a > b){
        return a;
    }else if(a == b){
        return a;
    }else if(a < b){
        return b;
    }
}

int main()
{
    int tb = 0;
    int tc = 0;

    cin >> tb >> tc;

    if (!(tb > 500 || tc > 500 || tb < 0 || tc < 0)){
        if(tb + tc >= 256){
            cout << "takmicar vec ima dovoljan ukupan broj bodova za prolaz" << endl;
        }else{
           if(!(tb >= 256 || tc > 256)){
                int maks = maxfunc(tb, tc);

                cout << "fali jos " << 256 - maks << " bodova za prolaz" << endl;
           }else{
                cout << "takmicar vec ima dovoljan ukupan broj bodova za prolaz" << endl;
            }
        }
    }else{
        if(tb > 500 || tc > 500){
            cout << "takmicar ne moze imati vise od 500 bodova" << endl;
        }
        else if(tb < 0 || tc < 0){
            cout << "takmicar ne moze imati manje od 0 bodova" << endl;
        }
    }


    return 0;
}